% Set given data
h = 2.^-(1:5)';
e = [ 6.91e-01 , 1.78e-01 , 4.33e-02 , 1.78e-02 ,  3.07e-03 ]';

% Compute experimental order of convergence
[p, q] = eoc(h,e);
C = exp(q);

figure();
hh = linspace(0.8*min(h),1.2*max(h),100);
loglog(h, e,'ob', hh, C * hh.^p, '-r', 'LineWidth',2)
title(sprintf('eoc = %4.2f',p));
legend('Messwerte', 'Ausgleichsgerade','Location','SouthEast');
xlabel('h');
ylabel('e');

%%
% Plot data
figure(1); clf; hold on; 
set(gca,'XScale','log','YScale','log');
plot(h,e,'rx','MarkerSize',12,'LineWidth',2);
title(sprintf('eoc = %4.2f',p));

% Plot C*h^p ( C = exp(q) ) 
hh = linspace(0.8*min(h),1.2*max(h),100);
f = exp(q)*hh.^p;
plot(hh,f,'LineWidth',2);

% % Display a slope_triangle
% slope_sequence(h,e,0.5,0.05,round(p),'blue','FaceAlpha',0.5)

% Legend
legend('Messwerte', 'Ausgleichsgerade','Location','SouthEast');
xlabel('h');
ylabel('e');
