function [p,q] = eoc(h, e)
% This function determines the experimental order of convergence
%
% INPUT:
% ------
% h         - Vector of discretization parameter values
% e         - Vector of experimental errors
%
% OUTPUT:
% -------
% p         - Order of convergence: e ~ h^p
% q         - logarithm of constant: e = exp(q) + h^p















if size(h,2) > size(h,1), h = h'; end
if size(e,2) > size(e,1), e = e'; end

n = length(h);

% Matrix for least squares problem/curve fitting
A = [log(h), ones(n,1)];

% RHS
y = log(e);

% solution to LSQ problem
x = (A' * A) \ (A' * y);

%x = polyfit(log(h), log(e),1);

p = x(1); q = x(2);